Having more than on version of PHP, is it possible?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Having more than on version of PHP, is it possible?

Postby Danielx64 » 16. February 2016 00:31

I'm just wondering if it is possible to have more than one version of PHP on this WAMP setup. Ideally I would like to have one folder per PHP version (ie http://localhost/ use PHP 7.0.2, http://localhost/5.2 use PHP 5.2 and so on).

If that can't be done I would be willing to configure a subdomain for each PHP version and edit my hosts file as needed.

Could someone please help me with this? If it can't be done on windows, can it be done on linux?
Danielx64
 
Posts: 2
Joined: 16. February 2016 00:26
Operating System: Windows 10 Pro

Re: Having more than on version of PHP, is it possible?

Postby Altrea » 16. February 2016 03:07

You can. You will need to add other PHP versions with CGI or FastCGI configuration.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8293
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Having more than on version of PHP, is it possible?

Postby mwsasser » 22. February 2016 16:12

Hmm, how do you do that?
mwsasser
 
Posts: 12
Joined: 05. February 2010 20:35
Operating System: Windows 10 64bit

Re: Having more than on version of PHP, is it possible?

Postby Altrea » 22. February 2016 19:19

It's in german, but maybe it helps:
viewtopic.php?f=4&t=67753&p=232615#p232615
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8293
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 56 guests